# translate.py -- Pamhyr
# Copyright (C) 2024  INRAE
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <https://www.gnu.org/licenses/>.

# -*- coding: utf-8 -*-

from PyQt5.QtCore import QCoreApplication

from View.SedimentLayers.translate import SedimentTranslate

_translate = QCoreApplication.translate


class SedimentReachTranslate(SedimentTranslate):
    def __init__(self):
        super(SedimentReachTranslate, self).__init__()

        self._dict["Reach sediment layers"] = _translate(
            "SedimentLayers", "Reach sediment layers"
        )
        self._dict["SL"] = _translate(
            "SedimentLayers", "Apply sediment layers to reach"
        )

        self._dict["nd"] = _translate("SedimentLayers", "Not defined")
        self._dict["kp"] = _translate("SedimentLayers", "Kp (m)")
        self._dict["height"] = _translate("SedimentLayers", "Height (m)")

        self._sub_dict["table_headers"] = {
            "name": _translate("SedimentLayers", "Name"),
            "kp": _translate("SedimentLayers", "KP (m)"),
            "sl": _translate("SedimentLayers", "Sediment layers"),
        }
